#! /bin/bash
FILE="$(realpath "${BASH_SOURCE[0]}")"
DIRECTORY="$(dirname "${FILE}")"

OUT='output'

function rs { echo; echo "→ ${2} @ ${3} : ${1}"; ssh -o 'LogLevel Error' -p ${1} "${2}@${3}" df -h .;}
function rs {
echo "→ ${2} @ ${3} : ${1}"
rsync --verbose --progress \
--rsh "ssh -o 'LogLevel Error' -p ${1}" \
--archive --checksum --delete-before \
"${DIRECTORY}/${OUT}/" \
"${2}@${3}:${4}/" \
> /dev/null
}

rs 22 'marc' 'envs.net' 'public_html'
rs 22 'mspe' 'envs.net' 'public_html'

rs 22 'marc' 'tilde.team' 'public_html'
rs 22 'mspe' 'tilde.team' 'public_html'

rs 22 'marc' 'tilde.institute' 'public_html'
rs 22 'mspe' 'tilde.institute' 'public_html'

rs 22 'mspe' 'fr.tild3.org' 'public_html'

rs 22 'marc' 'radiofreqs.space' 'public_html'
rs 22 'mspe' 'radiofreqs.space' 'public_html'

rs 9022 'marc' 'remotes.club' 'web'
rs 9022 'mspe' 'remotes.club' 'web'

# ~

rs 22 'mspe' 'theasylum.team' 'public_html'

rs 22 'marc' 'thunix.net' 'public_html'
rs 22 'mspe' 'thunix.net' 'public_html'

rs 22 'mspe' 'summit.tildex.com' 'public_html'

rs 22 'marcbeninca' 'tilde.club' 'public_html'
rs 22 'mspe' 'tilde.club' 'public_html'

rs 22 'marc' 'tilde.town' 'public_html'
rs 22 'mspe' 'tilde.town' 'public_html'

rs 22 'marc' 'yourtilde.com' 'public_html'
rs 22 'mspe' 'yourtilde.com' 'public_html'

rs 22 'marc' 'tilde.pw' 'public_html'
rs 22 'mspe' 'tilde.pw' 'public_html'

rs 22 'marc' 'aussies.space' 'public_html'
rs 22 'mspe' 'aussies.space' 'public_html'

rs 22 'mspe' 'squiggle.city' 'public_html'

# http

rs 22 'mspe' 'ctrl-c.club' 'public_html'

rs 22 'mspe' 'rw.rs' 'public_html'
